com.lowagie.text.rtf.direct

## Class RtfDirectContent

- java.lang.Object
- - com.lowagie.text.Chunk
  - - com.lowagie.text.rtf.RtfAddableElement
    - - com.lowagie.text.rtf.direct.RtfDirectContent

- All Implemented Interfaces:
    Element, RtfBasicElement, RtfElementInterface

      public class RtfDirectContent
      extends RtfAddableElement

  The RtfDirectContent makes it possible to directly add RTF code into an RTF document. This can be used to directly add RTF fragments that have been created with other RTF editors. One important aspect is that font and color numbers will not be modified. This means that the fonts and colors visible in the final document might not be equivalent with those set on the direct content.
  For convenience the RtfDirectContent provides a DIRECT_SOFT_LINEBREAK constant that makes it possible to easily add soft line-breaks anywhere in the RTF document.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RtfDirectContent` | `DIRECT_SOFT_LINEBREAK` Add the DIRECT_SOFT_LINEBREAK to the Document to insert a soft line-break at that position.
    `private java.lang.String` | `directContent` The direct content to add.

    - ### Fields inherited from class com.lowagie.text.rtf.RtfAddableElement

      `doc, inHeader, inTable`

    - ### Fields inherited from class com.lowagie.text.Chunk

      `ACTION, attributes, BACKGROUND, CHAR_SPACING, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SEPARATOR, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TAB, TEXTRENDERMODE, UNDERLINE`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfDirectContent(java.lang.String directContent)` Constructs a new RtfDirectContent with the content to add.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeContent(java.io.OutputStream out)` Writes the element content to the given output stream.

    - ### Methods inherited from class com.lowagie.text.rtf.RtfAddableElement

      `intToByteArray, isEmpty, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class com.lowagie.text.Chunk

      `append, getAttributes, getCharacterSpacing, getChunks, getContent, getFont, getHorizontalScaling, getHyphenation, getImage, getTextRise, getWidthPoint, hasAttributes, isContent, isNestable, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setCharacterSpacing, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIRECT_SOFT_LINEBREAK

          public static final RtfDirectContent DIRECT_SOFT_LINEBREAK

      Add the DIRECT_SOFT_LINEBREAK to the Document to insert a soft line-break at that position.

    - #### directContent

          private java.lang.String directContent

      The direct content to add.

  - ### Constructor Detail

    - #### RtfDirectContent

          public RtfDirectContent(java.lang.String directContent)

      Constructs a new RtfDirectContent with the content to add.
      Parameters:
        `directContent` - The content to add.

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream out)
                            throws java.io.IOException

      Writes the element content to the given output stream.
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfAddableElement`
      Parameters:
        `out` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`